package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 创造数字资产
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper002CreateAssetRespDto {
    public long requestId;
    public int errNo;
    public String errMsg;
    public long assetId;

    private static final Xuper002CreateAssetRespDto obj = new Xuper002CreateAssetRespDto();
    public static Xuper002CreateAssetRespDto getNew() {
        try {
            return (Xuper002CreateAssetRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper002CreateAssetRespDto();
        }
    }
}
